{
   "beforeHeader": "interface.h",
   "cppFile": "",
   "rust": {
      "dir": "",
      "interfaceModule": "ffi",
      "implementationModule": "gui"
   },
   "objects": {
      "IMapModel": {
         "type": "List",
         "baseClass": "IProjectModel",
         "functions": {
            "open": {
               "return": "bool",
               "mut": true,
               "arguments": [
                  {"name": "path", "type": "QString"}
               ]
            },
            "save": {
               "return": "bool",
               "mut": false
            },
            "saveAs": {
               "return": "bool",
               "mut": false,
               "arguments": [
                  {"name": "path", "type": "QString"}
               ]
            },
            "propIcon": {
               "return": "QString",
               "mut": false,
               "arguments": [
                  {"name": "index", "type": "quint16"}
               ]
            },
            "deselect": {
               "return": "void",
               "mut": true
            },
            "select": {
               "return": "void",
               "mut": true,
               "arguments": [
                  {"name": "index", "type": "quint16"}
               ]
            }
         },
         "properties": {
            "dirty": {"type": "bool", "write": true}
         },
         "itemProperties": {
            "propIndex": {"type": "quint64", "roles": [["display"]]}
         }
      },
      "IMapView": {
         "type": "Object",
         "baseClass": "IProjectView",
         "functions": {
         },
         "properties": {
         },
         "itemProperties": {
         }
      }
   }
}
